<?php
/**
 * @package Dotclear
 *
 * @copyright Olivier Meunier & Association Dotclear
 * @copyright GPL-2.0-only
 */

if (!defined('DC_RC_PATH')) {
  return;
}

// Database driver (mysql (deprecated, disabled in PHP7), mysqli, mysqlimb4 (full UTF-8), pgsql, sqlite)
define('DC_DBDRIVER', 'pgsql');

// Database hostname (usually "localhost")
define('DC_DBHOST', '%%pg_client_server_domainname');

// Database user
define('DC_DBUSER', '%%pg_client_username');

// Database password
define('DC_DBPASSWORD', '%%pg_client_password');

// Database name
define('DC_DBNAME', '%%pg_client_database');

// Tables' prefix
define('DC_DBPREFIX', 'dc_');

// Persistent database connection
define('DC_DBPERSIST', false);

// Crypt key (password storage)
define('DC_MASTER_KEY', '%%dotclear_secret_key');

// Admin URL. You need to set it for some features.
%set %%location = %%revprox_client_external_domainnames[0].revprox_client_location
define('DC_ADMIN_URL', 'https://%%revprox_client_external_domainnames[0]%%{location}admin');

// Admin mail from address. For password recovery and such.
define('DC_ADMIN_MAILFROM', '%%admin_mail_from');

// Cookie's name
define('DC_SESSION_NAME', 'dcxd');

// Session TTL
//define('DC_SESSION_TTL','120 seconds');

// Plugins root
define('DC_PLUGINS_ROOT', '/srv/dotclear/plugins');

// Template cache directory
//>GNUNUX
//define('DC_TPL_CACHE', path::real(__DIR__ . '/..') . '/cache');
define('DC_TPL_CACHE', '/srv/dotclear/cache');
//<GNUNUX

// Var directory
define('DC_VAR', '/srv/dotclear/var');

// Cryptographic algorithm
define('DC_CRYPT_ALGO', 'sha512');

// Vendor name
//define('DC_VENDOR_NAME', 'Dotclear');

// Do not check for update
//define('DC_NOT_UPDATE', false);
//>GNUNUX
define('DC_NOT_UPDATE', false);
//<GNUNUX

// Update URL
//define('DC_UPDATE_URL','https://download.dotclear.org/versions.xml');

// Update channel (stable, unstable, testing)
//define('DC_UPDATE_VERSION', 'stable');

// Proxy config
//define('HTTP_PROXY_HOST','127.0.0.1');
//define('HTTP_PROXY_PORT','8080');

// Reverse Proxy
//define('DC_REVERSE_PROXY',false);
//>GNUNUX
define('DC_REVERSE_PROXY',true);
//<GNUNUX

// Show hidden media dirs
//define('DC_SHOW_HIDDEN_DIRS', false);

// Store update checking
//define('DC_STORE_NOT_UPDATE', false);

// If you have PATH_INFO issue, uncomment following lines
//if (!isset($_SERVER['ORIG_PATH_INFO'])) {
//    $_SERVER['ORIG_PATH_INFO'] = '';
//}
//$_SERVER['PATH_INFO'] = $_SERVER['ORIG_PATH_INFO'];

// If you have mail problems, uncomment following lines and adapt it to your hosting configuration
// For more information about this setting, please refer to http://doc.dotclear.net/2.0/admin/install/custom-sendmail
//function _mail($to, $subject, $message, $headers)
//{
//    socketMail::$smtp_relay = 'my.smtp.relay.org';
//    socketMail::mail($to, $subject, $message, $headers);
//}
